<?php
/**
 * Table Definition for ranges
 */
require_once ''.DAODIR.'/Maintain.php';

class DAO_Ranges extends DAO_Maintain 
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'ranges';                          // table name
    var $id;                              // int(11)  not_null primary_key unsigned auto_increment
    var $name;                            // string(255)  not_null
    var $start;                           // int(11)  not_null unsigned
    var $end;                             // int(11)  not_null unsigned
    var $type;                            // string(7)  not_null multiple_key enum
    var $subnet;                          // int(11)  not_null unsigned
    var $comment;                         // blob(65535)  not_null blob
    var $enabled;                         // int(1)  not_null
    var $parent;                          // int(11)  not_null unsigned
    var $allow_all_hosts;                 // int(1)  

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DAO_Ranges',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE
}
